public BRepBuilderAPIMakeFace(gpCylinder C)
     :
     base(BRepBuilderAPI_MakeFace_Ctor67FD6A6(C.Instance))
 {
 }
 public BRepBuilderAPIMakeFace(gpCylinder C, double UMin, double UMax, double VMin, double VMax)
     :
     base(BRepBuilderAPI_MakeFace_Ctor1CF3267A(C.Instance, UMin, UMax, VMin, VMax))
 {
 }
 public void SetCylinderQuadValues(gpCylinder Cylinder, double Qxx, double Qyy, double Qzz, double Qxy, double Qxz, double Qyz, double Qx, double Qy, double Qz, double Q1, double Tol, double DomInf, double DomSup, bool TwoZForATheta, bool ZIsPositive)
 {
     IntAna_Curve_SetCylinderQuadValuesA2ABD1B0(Instance, Cylinder.Instance, Qxx, Qyy, Qzz, Qxy, Qxz, Qyz, Qx, Qy, Qz, Q1, Tol, DomInf, DomSup, TwoZForATheta, ZIsPositive);
 }
 public BRepBuilderAPIMakeFace(gpCylinder C, TopoDSWire W, bool Inside)
     :
     base(BRepBuilderAPI_MakeFace_Ctor7D92CEE4(C.Instance, W.Instance, Inside))
 {
 }
Beispiel #5
0
 public static gpLin2d Project(gpCylinder Cy, gpCirc Ci)
 {
     return(new gpLin2d(ProjLib_ProjectED02D9F7(Cy.Instance, Ci.Instance)));
 }
Beispiel #6
0
 public static gpLin2d Project(gpCylinder Cy, gpLin L)
 {
     return(new gpLin2d(ProjLib_ProjectDE57BDFB(Cy.Instance, L.Instance)));
 }
Beispiel #7
0
 public static gpPnt2d Project(gpCylinder Cy, gpPnt P)
 {
     return(new gpPnt2d(ProjLib_ProjectFA59BDF6(Cy.Instance, P.Instance)));
 }
 public static void Parameters(gpCylinder C, gpPnt P, ref double U, ref double V)
 {
     ElSLib_Parameters93A5F71D(C.Instance, P.Instance, ref U, ref V);
 }
 public static gpPnt Value(double U, double V, gpCylinder C)
 {
     return(new gpPnt(ElSLib_Value9C94886B(U, V, C.Instance)));
 }